
-- DROP TABLE candidate;



CREATE TABLE candidate (
    object_id int NOT NULL ,
    object_last_updated_date datetime DEFAULT getdate() NOT NULL ,
    object_created_date datetime DEFAULT getdate() NOT NULL
    ,
    first_name varchar(30) NULL,
    middle_name varchar(30) NULL,
    last_name varchar(30) NULL,
    preferred_name varchar(30) NULL,
    salutation varchar(10) NULL,
    position varchar(30) NULL,
    date_of_birth datetime NULL,
    date_registered datetime NULL,
    gender varchar(10) NULL,
    password varchar(15) NULL,
    date_taken datetime NULL,
    location varchar(80) NULL,
    contact_phone varchar(80) NULL,
    email varchar(60) NULL
    );



ALTER TABLE candidate ADD    
    CONSTRAINT PK_candidate PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    